t31_tests.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <sndfile.h>`
`#include "spandsp.h"`
`#include "spandsp/t30_fcf.h"`
`#include "spandsp-sim.h"`
`#include "fax_utils.h"`

## Classes

struct | command_response_s

## Macros

#define | SPANDSP_EXPOSE_INTERNAL_STRUCTURES
#define | INPUT_FILE_NAME "../test-data/itu/fax/itu1.tif"
#define | OUTPUT_FILE_NAME "t31.tif"
#define | OUTPUT_WAVE_FILE_NAME "t31_tests.wav"
#define | MANUFACTURER "www.soft-switch.org"
#define | SAMPLES_PER_CHUNK 160
#define | EXCHANGE(a, b)
#define | RESPONSE(b)
#define | FAST_RESPONSE(b)
#define | FAST_SEND(b)
#define | FAST_SEND_TCF(b)
#define | END_OF_SEQUENCE {NULL, -1, NULL, -1}

## Enumerations

enum | { ETX = 0x03 , DLE = 0x10 , SUB = 0x1A }

## Variables

g1050_state_t * | path_a_to_b
g1050_state_t * | path_b_to_a
double | when = 0.0
int | t38_mode = FALSE

## Macro Definition Documentation

## EXCHANGE

#define EXCHANGE | ( |  | a,
|  |  | b )

Value:
{a, sizeof(a) - 1, b, sizeof(b) - 1}

## FAST_RESPONSE

#define FAST_RESPONSE | ( |  | b | ) |

Value:
{NULL, -1, b, sizeof(b) - 1}

## FAST_SEND

#define FAST_SEND | ( |  | b | ) |

Value:
{(const char *) 1, -2, b, sizeof(b) - 1}

## FAST_SEND_TCF

#define FAST_SEND_TCF | ( |  | b | ) |

Value:
{(const char *) 2, -2, b, sizeof(b) - 1}

## RESPONSE

#define RESPONSE | ( |  | b | ) |

Value:
{"", 0, b, sizeof(b) - 1}